Bug 7326 - longoverdue.pl was hardcoded to 1 year, is now a parameter
Summary: longoverdue.pl was hardcoded to 1 year, is now a parameter
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Ian Walls
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-07 00:05 UTC by Ian Walls
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7326: longoverdue.pl hardcoded to 366 days maximum (1.81 KB, patch)
2011-12-07 00:15 UTC, Ian Walls
Details | Diff | Splinter Review
Bug 7326: longoverdue.pl hardcoded to 366 days maximum (1.89 KB, patch)
2011-12-13 08:36 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-12-07 00:05:45 UTC
The longoverdue.pl will not handle items overdue by more than 366 days.  This is hardcoded with a FIXME after it; no reason not to add an additional commandline flag to let the user specify a greater (or lesser) number.
Comment 1 Ian Walls 2011-12-07 00:15:35 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-12-13 08:36:21 UTC
Created attachment 6739 [details] [review]
Bug 7326: longoverdue.pl hardcoded to 366 days maximum

Adds --maxdays command line flag to longoverdue.pl to allow the user to specify
their own $endrange value.  Because sometimes 366 isn't enough!

Also adds help documentation for both --quiet and --maxdays params

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Simple change, works well
Comment 3 Paul Poulain 2011-12-15 16:15:00 UTC
QA comment: small patch, new feature documented, default behaviour unchanged (++ for existing setups)

patch pushed, please test